Accepts a customer-signed assertion JWT and returns an elevated access token for step-up authentication. The assertion JWT must be signed with the same key registered in the environment’s external auth JWKS URL.
curl --request POST \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/externalAuth/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jwt": "jwt_value",
"sessionPublicKey": "An example name"
}
'{
"elevatedAccessToken": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Success
Elevated access token for step-up authentication
Was this page helpful?
curl --request POST \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/externalAuth/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jwt": "jwt_value",
"sessionPublicKey": "An example name"
}
'{
"elevatedAccessToken": "<string>"
}